Bug 250748 - audio/exhale: Update to 1.0.8
Summary: audio/exhale: Update to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://gitlab.com/ecodis/exhale/-/re...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-31 05:48 UTC by daniel.engberg.lists
Modified: 2020-11-02 06:39 UTC (History)
1 user (show)

See Also:


Attachments
Patch for exhale (1.17 KB, patch)
2020-10-31 05:48 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for exhale v2 (1.40 KB, patch)
2020-11-02 01:29 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-10-31 05:48:17 UTC
Created attachment 219228 [details]
Patch for exhale

Update exhale to 1.0.8

Compile and run tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64)
Comment 1 Automation User 2020-10-31 06:03:55 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/210004490
Comment 2 Rainer Hurling freebsd_committer 2020-11-01 14:04:29 UTC
Hi Daniel,

Thanks for the patch.

The patch builds and installs correctly. Also the coding seems to work as expected :)

I wonder if the license is described correctly enough. Instead of a BSD3CLAUSE (not BSD!) license it seems to be a separate, BSD modified license[1][2].

Therefore I suggest to change the license section. This should be briefly approved by the author.


[1] https://gitlab.com/ecodis/exhale#license
[2] https://gitlab.com/ecodis/exhale/-/blob/master/include/License.htm
Comment 3 Rainer Hurling freebsd_committer 2020-11-01 14:05:37 UTC
(In reply to Rainer Hurling from comment #2)
Oops, forgot to add the suggest license part:

  LICENSE=	EXHALE
  LICENSE_NAME=	exhale Copyright License
  LICENSE_FILE=	${WRKSRC}/include/License.htm
  LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
Comment 4 daniel.engberg.lists 2020-11-02 01:29:16 UTC
Created attachment 219293 [details]
Patch for exhale v2

Update license information per suggestion by rhurlin@
Comment 5 daniel.engberg.lists 2020-11-02 01:29:49 UTC
Patch updated, thanks!
Comment 6 commit-hook freebsd_committer 2020-11-02 06:37:07 UTC
A commit references this bug:

Author: rhurlin
Date: Mon Nov  2 06:36:55 UTC 2020
New revision: 553886
URL: https://svnweb.freebsd.org/changeset/ports/553886

Log:
  audio/exhale: Update to 1.0.8

  From the changelog[1]:
  - minor quality improvements at low and high rates,
    some license text clarifications
  - exhaleApp: slightly improved loudness calculation
    for low and high sampling rates
  - exhaleLib: improved audio quality a bit for the
    lower and higher-rate CVBR modes
  - License: removed references to BSD text, clarified
    disclaimer and contributor text

  [1] https://gitlab.com/ecodis/exhale/-/releases/v1.0.8

  PR:		250748
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net> (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27051

Changes:
  head/audio/exhale/Makefile
  head/audio/exhale/distinfo
Comment 7 Rainer Hurling freebsd_committer 2020-11-02 06:39:00 UTC
Committed, thanks :)